Update a variable binding
curl --request PUT \
--url https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/variableBindings/{variable_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"entity_id": "<string>",
"name": "<string>",
"type": "<string>",
"default_value": "<string>",
"required": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/variableBindings/{variable_id}"
payload = {
"id": 123,
"entity_id": "<string>",
"name": "<string>",
"type": "<string>",
"default_value": "<string>",
"required": True,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
entity_id: '<string>',
name: '<string>',
type: '<string>',
default_value: '<string>',
required: true,
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/variableBindings/{variable_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"dataset_id": 123,
"connection_id": 123,
"method": "GET",
"route": "<string>",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"body": "<string>",
"useGlobalHeaders": true,
"query": "<string>",
"pagination": false,
"items": "items",
"itemsLimit": 0,
"offset": "offset",
"paginationField": "<string>",
"template": "<string>",
"conditions": [
{
"field": "<string>",
"value": "<string>",
"operator": "="
}
],
"configuration": {
"populateAttributes": true,
"mainCollectionSample": "<string>",
"subCollectionSample": "<string>",
"selectedSubCollection": "<string>",
"limit": 123,
"orderBy": "<string>",
"orderByDirection": "asc",
"accountId": "<string>",
"propertyId": "<string>",
"metrics": "<string>",
"dimensions": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"limitToLast": 123,
"limitToFirst": 123
},
"variables": {},
"Connection": {
"id": 123,
"name": "<string>",
"type": "<string>",
"subType": "<string>",
"host": "<string>"
},
"VariableBindings": [
{
"id": 123,
"entity_type": "Project",
"entity_id": "<string>",
"name": "<string>",
"type": "<string>",
"default_value": "<string>",
"required": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Data Requests
Update a Variable Binding
Update a variable binding
PUT
/
team
/
{team_id}
/
datasets
/
{dataset_id}
/
dataRequests
/
{id}
/
variableBindings
/
{variable_id}
Update a variable binding
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Variable binding updated successfully
Reference to Dataset model
Reference to Connection model
Available options:
GET, POST, PUT, DELETE, PATCH API endpoint path
Show child attributes
Show child attributes
Request body in JSON string format
Path to items array in response
Maximum number of items to return
Pagination offset field name
Field used for pagination
Template type for request formatting
Show child attributes
Show child attributes
Configuration options for data requests. Fields vary by connection type. Only include fields relevant to your connection type.
Show child attributes
Show child attributes
Request variables
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I